Name:           freedroid
Version:        1.0.2
Release:        14%{?dist}
Summary:        Clone of the C64 game Paradroid

Group:          Amusements/Games
License:        GPLv2+
URL:            http://freedroid.sourceforge.net/
Source0:        http://downloads.sourceforge.net/freedroid/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-cleaninst.patch
Patch1:         %{name}-1.0.2-printfs.patch
Patch2:         %{name}-1.0.2-cpuhog.patch
Patch3:         %{name}-1.0.2-vorbisfile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  ImageMagick
BuildRequires:  libvorbis-devel
BuildRequires:  desktop-file-utils
Requires:       %{name}-data = %{version}

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.
In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.
The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%package        data
Summary:        Game data files for Freedroid
Group:          Amusements/Games
Requires:       %{name} = %{version}
%if 0%{?fedora} >= 10
BuildArch:      noarch
%endif

%description    data
This package contains game data files for Freedroid.


%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

chmod -c -x graphics/paraicon.ico
convert graphics/paraicon.ico freedroid.png


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/freedroid/mac-osx
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
install -Dpm 644 freedroid.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/freedroid.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/freedroid
%{_datadir}/applications/*freedroid.desktop
%{_datadir}/icons/hicolor/32x32/apps/freedroid.png
%{_mandir}/man6/freedroid.6*

%files data
%defattr(-,root,root,-)
%{_datadir}/freedroid/


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-12
- Split data files into a subpackage, make it noarch for Fedora >= 10.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-10
- Improve icon cache refresh scriptlets (#475927).

* Sat Feb  9 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-9
- Fix libvorbis(file) linkage.
- Point source tarball URL to downloads.sourceforge.net.

* Mon Aug 13 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-8
- License: GPLv2+

* Sun Jul  8 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-7
- Apply partial CPU hogging fix from upstream CVS.
- Desktop entry improvements.

* Tue Aug 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-6
- Move data files from %%{_datadir}/games/freedroid to %%{_datadir}/freedroid.

* Tue Feb 21 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-5
- Fix crash when the config file cannot be read/written to (#182280).
- Install icon to %%{_datadir}/icons/hicolor, update GTK icon cache at
  post(un)install time.
- Build with dependency tracking disabled.
- List installed files explicitly.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0.2-4
- Rebuild, cosmetics.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.2-3
- rebuilt

* Sat Nov 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.2-0.fdr.2
- BuildRequires desktop-file-utils.

* Mon Aug 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.2-0.fdr.1
- Update to 1.0.2.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.1-0.fdr.1
- First Fedora release.

* Wed Apr 30 2003 Ted Cipicchio <ted@thereisnospork.com> 1.0.1-1mdk
- 1.0.1

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-5mdk
- fix buildrequires

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-4mdk
- fix distriblint warning

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.4-3mdk
- dropped Prefix tag
- compile with $RPM_OPT_FLAGS
- added icons

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- add the manual to the docs

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- initial package

